#!/bin/bash
#run this scrit with the user postgres

/etc/init.d/postgresql* status | grep -q online || /etc/init.d/postgresql* start
if echo "select * from pg_catalog.pg_database;"|psql| grep axilice -q
then
    echo "\"axilice\" database found, skipping."
    exit 0
fi

if echo "select * from pg_user;"|psql| grep axilice -q
then
    echo "\"axilice\" user found, skipping."
    exit 0
fi


echo -n "Creating database \"axilice\""
createdb axilice  > /dev/null
echo .

echo -n "Creating user \"axilice\" with password \"axilice\""
createuser axilice -sDR  > /dev/null
echo "ALTER USER axilice WITH PASSWORD 'axilice'; " | psql  > /dev/null
echo .

echo -n "Loading database with modules and sample data"
zcat /usr/share/doc/axilice/examples/sample-data.sql.gz | psql axilice > /dev/null
echo .


