--
-- PostgreSQL database dump
--

-- Started on 2008-06-25 14:05:28 CEST

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

--
-- TOC entry 1638 (class 0 OID 0)
-- Dependencies: 1238
-- Name: barcodetype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('barcodetype_id_seq', 1, false);


--
-- TOC entry 1639 (class 0 OID 0)
-- Dependencies: 1227
-- Name: extfield_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('extfield_id_seq', 10, true);


--
-- TOC entry 1640 (class 0 OID 0)
-- Dependencies: 1228
-- Name: exttable_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('exttable_id_seq', 3, true);


--
-- TOC entry 1641 (class 0 OID 0)
-- Dependencies: 1243
-- Name: image_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('image_id_seq', 5, true);


--
-- TOC entry 1642 (class 0 OID 0)
-- Dependencies: 1236
-- Name: product_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('product_id_seq', 7, true);


--
-- TOC entry 1643 (class 0 OID 0)
-- Dependencies: 1235
-- Name: productgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('productgroup_id_seq', 1, false);


--
-- TOC entry 1644 (class 0 OID 0)
-- Dependencies: 1237
-- Name: vattype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('vattype_id_seq', 1, false);


--
-- TOC entry 1634 (class 0 OID 41651)
-- Dependencies: 1239
-- Data for Name: AppArea; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "AppArea" ("idArea", description) VALUES ('A_TRA', 'Traceability Area');
INSERT INTO "AppArea" ("idArea", description) VALUES ('A_CON', 'Accounting Area');
INSERT INTO "AppArea" ("idArea", description) VALUES ('A_SYS', 'System Area');
INSERT INTO "AppArea" ("idArea", description) VALUES ('A_FAC', 'Invoicing Area');


--
-- TOC entry 1629 (class 0 OID 41564)
-- Dependencies: 1230
-- Data for Name: AppResource; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (39, 'productIcon', 'Icono de Producto (Trazabilidad)', 'resources/img/product.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (1, 'openIcon', 'Icono de abrir', 'resources/img/icon.gif', 2, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (4, 'warehouseModule', 'Modulo de gestion de almacen', 'modules/explicaWarehouse_client.jar', 1, 'A_FAC');
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (3, 'exitIcon', 'Icono de salir', 'resources/img/exit.svg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (2, 'closeIcon', 'Icono de cerrar', 'resources/img/close.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (5, 'addIcon', 'Icono de añadir', 'resources/img/add.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (6, 'delIcon', 'Icono de borrar', 'resources/img/del.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (7, 'editIcon', 'Icono de editar', 'resources/img/edit.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (8, 'printIcon', 'Icono de imprimir', 'resources/img/print.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (9, 'gotoIcon', 'Icono de Ir A', 'resources/img/goto.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (10, 'searchIcon', 'Icono de Buscar', 'resources/img/search.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (11, 'saveIcon', 'Icono de Guardar', 'resources/img/save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (12, 'cancelIcon', 'Icono de Cancelar', 'resources/img/cancel.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (13, 'undoIcon', 'Icono de Deshacer', 'resources/img/undo.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (14, 'goBackIcon', 'Icono de Ir Atras', 'resources/img/go-back.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (15, 'goForwardIcon', 'Icono de Ir Adelante', 'resources/img/go-forward.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (16, 'goFirstIcon', 'Icono de Ir A Primero', 'resources/img/go-first.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (17, 'goLastIcon', 'Icono de Ir A Ultimo', 'resources/img/go-last.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (20, 'commentIcon', 'Icono de Comentarios', 'resources/img/comment.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (21, 'dateIcon', 'Icono de Calendario de Fechas', 'resources/img/date.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (22, 'newDocumentIcon', 'Icono de Nuevo Documento', 'resources/img/document-new.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (23, 'openDocumentIcon', 'Icono de Abrir Documento', 'resources/img/document-open.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (24, 'saveDocumentIcon', 'Icono de Guardar Documento', 'resources/img/document-save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (25, 'saveAsDocumentIcon', 'Icono de Guardar Como Documento', 'resources/img/document-save-as.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (26, 'helpIcon', 'Icono de Ayuda', 'resources/img/help.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (27, 'aboutIcon', 'Icono de Acerca de', 'resources/img/help-about.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (28, 'inIcon', 'Icono de Producto de Entrada a Proceso', 'resources/img/in.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (19, 'barcodeIcon', 'Icono de Código de Barras', 'resources/img/barcode.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (30, 'purchaseIcon', 'Icono de Compra (Trazabilidad)', 'resources/img/purchase.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (29, 'propertyIcon', 'Icono de Propiedad (Trazabilidad)', 'resources/img/property.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (31, 'referenceIcon', 'Icono de Referencia de Producto (Trazabilidad)', 'resources/img/reference.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (32, 'lotIcon', 'Icono de Lote de Producto (Trazabilidad)', 'resources/img/lot.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (33, 'warehouseIcon', 'Icono de Almacén (Trazabilidad)', 'resources/img/warehouse.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (34, 'workerIcon', 'Icono de Empleado (Trazabilidad)', 'resources/img/worker.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (36, 'processIcon', 'Icono de Proceso (Trazabilidad)', 'resources/img/process.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (37, 'trFileIcon', 'Icono de Fichero de Trazabilidad', 'resources/img/traceabilityFile.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (38, 'acceptIcon', 'Icono de Aceptar', 'resources/img/accept.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (35, 'workcenterIcon', 'Icono de Centro de Trabajo (Trazabilidad)', 'resources/img/workcenter.jpg', 0, NULL);


--
-- TOC entry 1633 (class 0 OID 41630)
-- Dependencies: 1234
-- Data for Name: BarcodeType; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "BarcodeType" ("idBarcodeType", description, version) VALUES (1, 'EAN', 0);


--
-- TOC entry 1628 (class 0 OID 33380)
-- Dependencies: 1226
-- Data for Name: ExtFieldBooleanValue; Type: TABLE DATA; Schema: public; Owner: admin
--



--
-- TOC entry 1627 (class 0 OID 33373)
-- Dependencies: 1225
-- Data for Name: ExtFieldDateValue; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldDateValue" ("idExtField", "idValue", value, version) VALUES (6, 1, '2007-08-03 13:36:23.319', 0);


--
-- TOC entry 1623 (class 0 OID 33340)
-- Dependencies: 1221
-- Data for Name: ExtFieldDefinition; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (1, 1, 1, 10.00, 'Codigo de barras del producto', false, false, 'CAM_PRO_BAR_COD', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (3, 2, 1, 50.00, 'Sector al que pertenece el cliente', false, false, 'CAM_CLI_SEC', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (4, 2, 3, 5.00, 'Edad del cliente', false, false, 'CAM_CLI_EDA', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (6, 1, 4, 10.00, 'Fecha de compra del producto', true, false, 'CAM_PRO_FEC_COM', 0);


--
-- TOC entry 1625 (class 0 OID 33359)
-- Dependencies: 1223
-- Data for Name: ExtFieldLongValue; Type: TABLE DATA; Schema: public; Owner: admin
--



--
-- TOC entry 1626 (class 0 OID 33366)
-- Dependencies: 1224
-- Data for Name: ExtFieldNumberValue; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldNumberValue" ("idExtField", "idValue", value, version) VALUES (4, 2, 55, 0);
INSERT INTO "ExtFieldNumberValue" ("idExtField", "idValue", value, version) VALUES (4, 1, 41, 0);


--
-- TOC entry 1624 (class 0 OID 33352)
-- Dependencies: 1222
-- Data for Name: ExtFieldStringValue; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldStringValue" ("idExtField", "idValue", value, version) VALUES (1, 2, '21', 0);
INSERT INTO "ExtFieldStringValue" ("idExtField", "idValue", value, version) VALUES (3, 1, '000006', 1);
INSERT INTO "ExtFieldStringValue" ("idExtField", "idValue", value, version) VALUES (1, 1, 'AUTOMATIC UPDATE', 1);


--
-- TOC entry 1622 (class 0 OID 33333)
-- Dependencies: 1220
-- Data for Name: ExtTableDefinition; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtTableDefinition" ("idExtTable", "idFieldName", "codExtTable", "tableDescription", version) VALUES (1, 'idProducto', 'EXT_PROD', 'Extension de la tabla de productos', 0);
INSERT INTO "ExtTableDefinition" ("idExtTable", "idFieldName", "codExtTable", "tableDescription", version) VALUES (2, 'idCliente', 'EXT_CLI', 'Extension de la tabla de clientes', 0);


--
-- TOC entry 1635 (class 0 OID 41685)
-- Dependencies: 1241
-- Data for Name: Image; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "Image" ("idImage", path, version) VALUES (4, 'morcilla.jpg', 6);
INSERT INTO "Image" ("idImage", path, version) VALUES (1, 'carnevacuno.jpg', 11);
INSERT INTO "Image" ("idImage", path, version) VALUES (2, 'chorizos.jpg', 1);
INSERT INTO "Image" ("idImage", path, version) VALUES (3, 'chorizos2.jpg', 1);


--
-- TOC entry 1630 (class 0 OID 41572)
-- Dependencies: 1231
-- Data for Name: Product; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (3, '3333', 'Morcilla', '333312312312', 1, 33.33, 1, 7, NULL, false, 1, NULL);
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (5, '4444', 'asdasfgsdfgsdf', '123124253', 1, 23123.00, 2, 1, NULL, false, 1, NULL);
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (6, '5555', 'sdfsdfsda234vdewr', '12341243', 2, 55.55, 1, 1, NULL, false, 1, NULL);
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (7, '66666', 'vbnkyjz', '3456vbcvsd43', 1, 66.66, 1, 0, NULL, false, 1, NULL);
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (1, '1111', 'Carne de vacuno', '12312423', 1, 11.11, 1, 11, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "/home/mario/workspace/Explica/src/org/ceteca/explica/core/traceability/tree/parser/traceabilityTree.dtd">\\012<traceability-tree>\\012   <product setNumber="111120981" description="Carne de vacuno" barcode="12312423" reference="1111" dateIn="16/06/2008" dateExpiry="30/06/2008" traceabilityFile="">\\012      <source>\\012         <purchase purchaseConfirmation="1" supplier="1"/>\\012      </source>\\012      <comment>asdasddf\\012sdf\\012sdfsd\\012</comment>\\012      <comment>435sdfxccv</comment>\\012   </product>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (2, '2222', 'Chorizos', '2222', 1, 22.22, 1, 2, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "/home/mario/workspace/Explica/src/org/ceteca/explica/core/traceability/tree/parser/traceabilityTree.dtd">\\012<traceability-tree>\\012   <product setNumber="1234234" description="asdasd" barcode="12343243523" reference="2222" dateIn="11/10/2007" dateExpiry="11/10/2008" traceabilityFile="">\\012   </product>\\012</traceability-tree>');


--
-- TOC entry 1632 (class 0 OID 41606)
-- Dependencies: 1233
-- Data for Name: ProductGroup; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ProductGroup" ("idGroup", description, version) VALUES (1, 'Alimentación', 0);
INSERT INTO "ProductGroup" ("idGroup", description, version) VALUES (2, 'Consumibles', 0);


--
-- TOC entry 1636 (class 0 OID 41700)
-- Dependencies: 1242
-- Data for Name: ProductImage; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (3, 4);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (1, 1);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (2, 2);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (2, 3);


--
-- TOC entry 1631 (class 0 OID 41583)
-- Dependencies: 1232
-- Data for Name: VatType; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "VatType" ("idVat", description, "taxPercentage", "recEquiPercentage", version) VALUES (1, 'IVA16', 16.00, 1.00, 0);
INSERT INTO "VatType" ("idVat", description, "taxPercentage", "recEquiPercentage", version) VALUES (2, 'IVA4', 4.00, 1.00, 0);


-- Completed on 2008-06-25 14:05:28 CEST

--
-- PostgreSQL database dump complete
--

