--
-- PostgreSQL database dump
--

-- Started on 2009-03-03 11:46:00 CET

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

--
-- TOC entry 1866 (class 0 OID 0)
-- Dependencies: 1337
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('address_id_seq', 1, false);


--
-- TOC entry 1867 (class 0 OID 0)
-- Dependencies: 1341
-- Name: agent_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('agent_id_seq', 1, false);


--
-- TOC entry 1868 (class 0 OID 0)
-- Dependencies: 1334
-- Name: bankaccount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('bankaccount_id_seq', 1, false);


--
-- TOC entry 1869 (class 0 OID 0)
-- Dependencies: 1304
-- Name: barcodetype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('barcodetype_id_seq', 3, true);


--
-- TOC entry 1870 (class 0 OID 0)
-- Dependencies: 1343
-- Name: client_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('client_id_seq', 1, false);


--
-- TOC entry 1871 (class 0 OID 0)
-- Dependencies: 1342
-- Name: clientgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('clientgroup_id_seq', 1, false);


--
-- TOC entry 1872 (class 0 OID 0)
-- Dependencies: 1333
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('contact_id_seq', 1, false);


--
-- TOC entry 1873 (class 0 OID 0)
-- Dependencies: 1347
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('country_id_seq', 1, false);


--
-- TOC entry 1874 (class 0 OID 0)
-- Dependencies: 1339
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('currency_id_seq', 1, false);


--
-- TOC entry 1875 (class 0 OID 0)
-- Dependencies: 1338
-- Name: department_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('department_id_seq', 1, false);


--
-- TOC entry 1876 (class 0 OID 0)
-- Dependencies: 1340
-- Name: discount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('discount_id_seq', 1, false);


--
-- TOC entry 1877 (class 0 OID 0)
-- Dependencies: 1293
-- Name: extfield_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('extfield_id_seq', 10, true);


--
-- TOC entry 1878 (class 0 OID 0)
-- Dependencies: 1294
-- Name: exttable_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('exttable_id_seq', 3, true);


--
-- TOC entry 1879 (class 0 OID 0)
-- Dependencies: 1349
-- Name: flag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('flag_id_seq', 1, false);


--
-- TOC entry 1880 (class 0 OID 0)
-- Dependencies: 1309
-- Name: image_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('image_id_seq', 5, true);


--
-- TOC entry 1881 (class 0 OID 0)
-- Dependencies: 1336
-- Name: installment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('installment_id_seq', 1, false);


--
-- TOC entry 1882 (class 0 OID 0)
-- Dependencies: 1344
-- Name: invoicingserie_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('invoicingserie_id_seq', 1, false);


--
-- TOC entry 1883 (class 0 OID 0)
-- Dependencies: 1312
-- Name: measureunit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('measureunit_id_seq', 10, true);


--
-- TOC entry 1884 (class 0 OID 0)
-- Dependencies: 1335
-- Name: paymentmethod_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('paymentmethod_id_seq', 1, false);


--
-- TOC entry 1885 (class 0 OID 0)
-- Dependencies: 1302
-- Name: product_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('product_id_seq', 8, false);


--
-- TOC entry 1886 (class 0 OID 0)
-- Dependencies: 1301
-- Name: productgroup_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('productgroup_id_seq', 13, true);


--
-- TOC entry 1887 (class 0 OID 0)
-- Dependencies: 1348
-- Name: province_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('province_id_seq', 1, false);


--
-- TOC entry 1888 (class 0 OID 0)
-- Dependencies: 1346
-- Name: rappelinterval_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('rappelinterval_id_seq', 1, false);


--
-- TOC entry 1889 (class 0 OID 0)
-- Dependencies: 1345
-- Name: rappeltype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('rappeltype_id_seq', 1, false);


--
-- TOC entry 1890 (class 0 OID 0)
-- Dependencies: 1332
-- Name: rate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('rate_id_seq', 1, false);


--
-- TOC entry 1891 (class 0 OID 0)
-- Dependencies: 1303
-- Name: vattype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: explica
--

SELECT pg_catalog.setval('vattype_id_seq', 4, true);


--
-- TOC entry 1849 (class 0 OID 44773)
-- Dependencies: 1319
-- Data for Name: Address; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Address" DISABLE TRIGGER ALL;



ALTER TABLE "Address" ENABLE TRIGGER ALL;

--
-- TOC entry 1853 (class 0 OID 44807)
-- Dependencies: 1323
-- Data for Name: Agent; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Agent" DISABLE TRIGGER ALL;



ALTER TABLE "Agent" ENABLE TRIGGER ALL;

--
-- TOC entry 1839 (class 0 OID 41651)
-- Dependencies: 1305
-- Data for Name: AppArea; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "AppArea" DISABLE TRIGGER ALL;

INSERT INTO "AppArea" ("idArea", description) VALUES ('A_FAC', 'Invoicing Area');
INSERT INTO "AppArea" ("idArea", description) VALUES ('A_CON', 'Accounting Area');


ALTER TABLE "AppArea" ENABLE TRIGGER ALL;

--
-- TOC entry 1834 (class 0 OID 41564)
-- Dependencies: 1296
-- Data for Name: AppResource; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "AppResource" DISABLE TRIGGER ALL;

INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (39, 'productIcon', 'Icono de Producto (Trazabilidad)', 'resources/img/product.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (1, 'openIcon', 'Icono de abrir', 'resources/img/icon.gif', 2, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (3, 'exitIcon', 'Icono de salir', 'resources/img/exit.svg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (2, 'closeIcon', 'Icono de cerrar', 'resources/img/close.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (5, 'addIcon', 'Icono de añadir', 'resources/img/add.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (6, 'delIcon', 'Icono de borrar', 'resources/img/del.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (7, 'editIcon', 'Icono de editar', 'resources/img/edit.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (8, 'printIcon', 'Icono de imprimir', 'resources/img/print.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (9, 'gotoIcon', 'Icono de Ir A', 'resources/img/goto.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (10, 'searchIcon', 'Icono de Buscar', 'resources/img/search.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (11, 'saveIcon', 'Icono de Guardar', 'resources/img/save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (12, 'cancelIcon', 'Icono de Cancelar', 'resources/img/cancel.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (13, 'undoIcon', 'Icono de Deshacer', 'resources/img/undo.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (14, 'goBackIcon', 'Icono de Ir Atras', 'resources/img/go-back.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (15, 'goForwardIcon', 'Icono de Ir Adelante', 'resources/img/go-forward.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (16, 'goFirstIcon', 'Icono de Ir A Primero', 'resources/img/go-first.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (17, 'goLastIcon', 'Icono de Ir A Ultimo', 'resources/img/go-last.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (20, 'commentIcon', 'Icono de Comentarios', 'resources/img/comment.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (21, 'dateIcon', 'Icono de Calendario de Fechas', 'resources/img/date.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (22, 'newDocumentIcon', 'Icono de Nuevo Documento', 'resources/img/document-new.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (23, 'openDocumentIcon', 'Icono de Abrir Documento', 'resources/img/document-open.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (24, 'saveDocumentIcon', 'Icono de Guardar Documento', 'resources/img/document-save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (25, 'saveAsDocumentIcon', 'Icono de Guardar Como Documento', 'resources/img/document-save-as.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (26, 'helpIcon', 'Icono de Ayuda', 'resources/img/help.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (27, 'aboutIcon', 'Icono de Acerca de', 'resources/img/help-about.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (28, 'inIcon', 'Icono de Producto de Entrada a Proceso', 'resources/img/in.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (19, 'barcodeIcon', 'Icono de Código de Barras', 'resources/img/barcode.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (30, 'purchaseIcon', 'Icono de Compra (Trazabilidad)', 'resources/img/purchase.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (29, 'propertyIcon', 'Icono de Propiedad (Trazabilidad)', 'resources/img/property.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (31, 'referenceIcon', 'Icono de Referencia de Producto (Trazabilidad)', 'resources/img/reference.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (32, 'lotIcon', 'Icono de Lote de Producto (Trazabilidad)', 'resources/img/lot.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (33, 'warehouseIcon', 'Icono de Almacén (Trazabilidad)', 'resources/img/warehouse.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (34, 'workerIcon', 'Icono de Empleado (Trazabilidad)', 'resources/img/worker.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (36, 'processIcon', 'Icono de Proceso (Trazabilidad)', 'resources/img/process.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (37, 'trFileIcon', 'Icono de Fichero de Trazabilidad', 'resources/img/traceabilityFile.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (38, 'acceptIcon', 'Icono de Aceptar', 'resources/img/accept.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (35, 'workcenterIcon', 'Icono de Centro de Trabajo (Trazabilidad)', 'resources/img/workcenter.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (40, 'appLogo', 'Logo de la aplicacion', 'resources/img/logo.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (4, 'warehouseModule', 'Warehouse Management Module', 'modules/explicaWarehouse_client.jar', 1, 'A_FAC');
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (41, 'viewIcon', 'Logo de Ver en la ventana de seleccion multiple de entidades', 'resources/img/view.png', 0, NULL);


ALTER TABLE "AppResource" ENABLE TRIGGER ALL;

--
-- TOC entry 1846 (class 0 OID 44749)
-- Dependencies: 1316
-- Data for Name: BankAccount; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "BankAccount" DISABLE TRIGGER ALL;



ALTER TABLE "BankAccount" ENABLE TRIGGER ALL;

--
-- TOC entry 1838 (class 0 OID 41630)
-- Dependencies: 1300
-- Data for Name: BarcodeType; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "BarcodeType" DISABLE TRIGGER ALL;

INSERT INTO "BarcodeType" ("idBarcodeType", description, version) VALUES (2, 'ISBN', 0);
INSERT INTO "BarcodeType" ("idBarcodeType", description, version) VALUES (1, 'EAN', 0);
INSERT INTO "BarcodeType" ("idBarcodeType", description, version) VALUES (3, 'Code 128', 0);


ALTER TABLE "BarcodeType" ENABLE TRIGGER ALL;

--
-- TOC entry 1855 (class 0 OID 44849)
-- Dependencies: 1325
-- Data for Name: Client; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Client" DISABLE TRIGGER ALL;



ALTER TABLE "Client" ENABLE TRIGGER ALL;

--
-- TOC entry 1856 (class 0 OID 44893)
-- Dependencies: 1326
-- Data for Name: ClientAddress; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ClientAddress" DISABLE TRIGGER ALL;



ALTER TABLE "ClientAddress" ENABLE TRIGGER ALL;

--
-- TOC entry 1857 (class 0 OID 44910)
-- Dependencies: 1327
-- Data for Name: ClientBankAccount; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ClientBankAccount" DISABLE TRIGGER ALL;



ALTER TABLE "ClientBankAccount" ENABLE TRIGGER ALL;

--
-- TOC entry 1858 (class 0 OID 44927)
-- Dependencies: 1328
-- Data for Name: ClientContact; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ClientContact" DISABLE TRIGGER ALL;



ALTER TABLE "ClientContact" ENABLE TRIGGER ALL;

--
-- TOC entry 1854 (class 0 OID 44826)
-- Dependencies: 1324
-- Data for Name: ClientGroup; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ClientGroup" DISABLE TRIGGER ALL;



ALTER TABLE "ClientGroup" ENABLE TRIGGER ALL;

--
-- TOC entry 1845 (class 0 OID 44735)
-- Dependencies: 1315
-- Data for Name: Contact; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Contact" DISABLE TRIGGER ALL;



ALTER TABLE "Contact" ENABLE TRIGGER ALL;

--
-- TOC entry 1862 (class 0 OID 45030)
-- Dependencies: 1350
-- Data for Name: Country; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Country" DISABLE TRIGGER ALL;



ALTER TABLE "Country" ENABLE TRIGGER ALL;

--
-- TOC entry 1851 (class 0 OID 44791)
-- Dependencies: 1321
-- Data for Name: Currency; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Currency" DISABLE TRIGGER ALL;



ALTER TABLE "Currency" ENABLE TRIGGER ALL;

--
-- TOC entry 1850 (class 0 OID 44783)
-- Dependencies: 1320
-- Data for Name: Department; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Department" DISABLE TRIGGER ALL;



ALTER TABLE "Department" ENABLE TRIGGER ALL;

--
-- TOC entry 1852 (class 0 OID 44799)
-- Dependencies: 1322
-- Data for Name: Discount; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Discount" DISABLE TRIGGER ALL;



ALTER TABLE "Discount" ENABLE TRIGGER ALL;

--
-- TOC entry 1833 (class 0 OID 33380)
-- Dependencies: 1292
-- Data for Name: ExtFieldBooleanValue; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldBooleanValue" DISABLE TRIGGER ALL;



ALTER TABLE "ExtFieldBooleanValue" ENABLE TRIGGER ALL;

--
-- TOC entry 1832 (class 0 OID 33373)
-- Dependencies: 1291
-- Data for Name: ExtFieldDateValue; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldDateValue" DISABLE TRIGGER ALL;



ALTER TABLE "ExtFieldDateValue" ENABLE TRIGGER ALL;

--
-- TOC entry 1828 (class 0 OID 33340)
-- Dependencies: 1287
-- Data for Name: ExtFieldDefinition; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldDefinition" DISABLE TRIGGER ALL;

INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (1, 1, 1, 10.00, 'Codigo de barras del producto', false, false, 'CAM_PRO_BAR_COD', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (3, 2, 1, 50.00, 'Sector al que pertenece el cliente', false, false, 'CAM_CLI_SEC', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (4, 2, 3, 5.00, 'Edad del cliente', false, false, 'CAM_CLI_EDA', 0);
INSERT INTO "ExtFieldDefinition" ("idExtField", "idExtTable", "fieldType", "fieldLength", "fieldDescription", nullable, historizable, "codExtField", version) VALUES (6, 1, 4, 10.00, 'Fecha de compra del producto', true, false, 'CAM_PRO_FEC_COM', 0);


ALTER TABLE "ExtFieldDefinition" ENABLE TRIGGER ALL;

--
-- TOC entry 1830 (class 0 OID 33359)
-- Dependencies: 1289
-- Data for Name: ExtFieldLongValue; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldLongValue" DISABLE TRIGGER ALL;



ALTER TABLE "ExtFieldLongValue" ENABLE TRIGGER ALL;

--
-- TOC entry 1831 (class 0 OID 33366)
-- Dependencies: 1290
-- Data for Name: ExtFieldNumberValue; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldNumberValue" DISABLE TRIGGER ALL;

INSERT INTO "ExtFieldNumberValue" ("idExtField", "idValue", value, version) VALUES (4, 3, 45, 0);
INSERT INTO "ExtFieldNumberValue" ("idExtField", "idValue", value, version) VALUES (4, 1, 34, 0);


ALTER TABLE "ExtFieldNumberValue" ENABLE TRIGGER ALL;

--
-- TOC entry 1829 (class 0 OID 33352)
-- Dependencies: 1288
-- Data for Name: ExtFieldStringValue; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtFieldStringValue" DISABLE TRIGGER ALL;

INSERT INTO "ExtFieldStringValue" ("idExtField", "idValue", value, version) VALUES (3, 3, 'fcvbs', 0);
INSERT INTO "ExtFieldStringValue" ("idExtField", "idValue", value, version) VALUES (3, 1, 'dfgdfghj', 0);


ALTER TABLE "ExtFieldStringValue" ENABLE TRIGGER ALL;

--
-- TOC entry 1827 (class 0 OID 33333)
-- Dependencies: 1286
-- Data for Name: ExtTableDefinition; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ExtTableDefinition" DISABLE TRIGGER ALL;

INSERT INTO "ExtTableDefinition" ("idExtTable", "idFieldName", "codExtTable", "tableDescription", version) VALUES (1, 'idProducto', 'EXT_PROD', 'Extension de la tabla de productos', 0);
INSERT INTO "ExtTableDefinition" ("idExtTable", "idFieldName", "codExtTable", "tableDescription", version) VALUES (2, 'idCliente', 'EXT_CLI', 'Extension de la tabla de clientes', 0);


ALTER TABLE "ExtTableDefinition" ENABLE TRIGGER ALL;

--
-- TOC entry 1864 (class 0 OID 45051)
-- Dependencies: 1352
-- Data for Name: Flag; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Flag" DISABLE TRIGGER ALL;



ALTER TABLE "Flag" ENABLE TRIGGER ALL;

--
-- TOC entry 1840 (class 0 OID 41685)
-- Dependencies: 1307
-- Data for Name: Image; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Image" DISABLE TRIGGER ALL;

INSERT INTO "Image" ("idImage", path, version) VALUES (2, 'chorizos.jpg', 2);
INSERT INTO "Image" ("idImage", path, version) VALUES (3, 'chorizos2.jpg', 2);
INSERT INTO "Image" ("idImage", path, version) VALUES (4, 'morcilla.jpg', 21);
INSERT INTO "Image" ("idImage", path, version) VALUES (1, 'carnevacuno.jpg', 34);


ALTER TABLE "Image" ENABLE TRIGGER ALL;

--
-- TOC entry 1848 (class 0 OID 44765)
-- Dependencies: 1318
-- Data for Name: Installment; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Installment" DISABLE TRIGGER ALL;



ALTER TABLE "Installment" ENABLE TRIGGER ALL;

--
-- TOC entry 1859 (class 0 OID 44944)
-- Dependencies: 1329
-- Data for Name: InvoicingSerie; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "InvoicingSerie" DISABLE TRIGGER ALL;



ALTER TABLE "InvoicingSerie" ENABLE TRIGGER ALL;

--
-- TOC entry 1842 (class 0 OID 43394)
-- Dependencies: 1311
-- Data for Name: MeasureUnit; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "MeasureUnit" DISABLE TRIGGER ALL;

INSERT INTO "MeasureUnit" ("idMeasureUnit", description, version) VALUES (9, 'Sacos de 15 kg.', 0);
INSERT INTO "MeasureUnit" ("idMeasureUnit", description, version) VALUES (10, 'Palets de 500 kg.', 0);
INSERT INTO "MeasureUnit" ("idMeasureUnit", description, version) VALUES (3, 'Sacos de 5 Kg.', 1);


ALTER TABLE "MeasureUnit" ENABLE TRIGGER ALL;

--
-- TOC entry 1847 (class 0 OID 44757)
-- Dependencies: 1317
-- Data for Name: PaymentMethod; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "PaymentMethod" DISABLE TRIGGER ALL;



ALTER TABLE "PaymentMethod" ENABLE TRIGGER ALL;

--
-- TOC entry 1835 (class 0 OID 41572)
-- Dependencies: 1297
-- Data for Name: Product; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Product" DISABLE TRIGGER ALL;

INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (5, '4444', 'asdasfgsdfgsdf', '123124253', 1, 444.44, 2, 3, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (6, '5555', 'sdfsdfsda234vdewr', '12341243', 2, 55.55, 1, 3, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (7, '66666', 'vbnkyjzsdasd', '3456vbcvsd43', 1, 66.66, 1, 2, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (2, '2222', 'Chorizos', '2222', 1, 22.22, 1, 3, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (3, '3333', 'Morcilla', '333312312312', 1, 33.33, 1, 22, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012</traceability-tree>');
INSERT INTO "Product" ("idProduct", reference, description, barcode, "idGroup", price, "idVat", version, "averageCost", "allowNoStock", "idBarcodeType", "trData") VALUES (1, '1111', 'Carne de vacuno', '12312423', 1, 11.11, 2, 34, NULL, false, 1, E'<?xml version="1.0"?>\\012<!DOCTYPE traceability-tree SYSTEM "http://traceabilityTree.dtd">\\012<traceability-tree>\\012   <product setNumber="40001892" description="Producto de prueba compuesto" barcode="1234567890" reference="4" dateIn="15/12/2007" dateExpiry="31/12/2007" traceabilityFile="">\\012      <source>\\012         <process codProcess="PR-101" dateProcess="15/12/2007">\\012            <processIn> \\012               <product setNumber="50000092" description="Producto de prueba 2" barcode="0927681435" reference="2" dateIn="15/12/2007" dateExpiry="31/12/2007" traceabilityFile="treeTest1.xml">\\012               </product>\\012               <product setNumber="70000003" description="Producto de prueba 3" barcode="8104239567" reference="3" dateIn="15/12/2007" dateExpiry="31/12/2007" traceabilityFile="">\\012               </product>\\012            </processIn>\\012            <worker workerCode="WR-001" workerName="Pepito Grillo"/>\\012            <worker workerCode="WR-002" workerName="Manolito Gafotas"/>\\012            <worker workerCode="WR-011" workerName="Mary Poppins"/>\\012            <workCenter workcenterCode="WC-001" description="LINEA DE FABRICACION 1"/>\\012            <comment> Comentario 1 del proceso </comment>\\012            <comment> Comentario 2 del proceso </comment>\\012         </process>\\012      </source>\\012      <property cod="color" val="Azul" type="2" description="Color del producto" pattern="null"/>\\012      <property cod="peso" val="25" type="1" description="Peso del producto" pattern="null"/>\\012      <warehouse warehouseCode="1" description="Almacen 1">\\012      </warehouse>\\012      <comment> Comentario del producto de prueba</comment>\\012   </product>\\012</traceability-tree>');


ALTER TABLE "Product" ENABLE TRIGGER ALL;

--
-- TOC entry 1837 (class 0 OID 41606)
-- Dependencies: 1299
-- Data for Name: ProductGroup; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ProductGroup" DISABLE TRIGGER ALL;

INSERT INTO "ProductGroup" ("idGroup", description, version, "idExtTable") VALUES (1, 'Vacuno', 0, 2);
INSERT INTO "ProductGroup" ("idGroup", description, version, "idExtTable") VALUES (2, 'Ovino', 0, NULL);
INSERT INTO "ProductGroup" ("idGroup", description, version, "idExtTable") VALUES (3, 'Porcino', 0, NULL);
INSERT INTO "ProductGroup" ("idGroup", description, version, "idExtTable") VALUES (4, 'Aves', 0, NULL);


ALTER TABLE "ProductGroup" ENABLE TRIGGER ALL;

--
-- TOC entry 1841 (class 0 OID 41700)
-- Dependencies: 1308
-- Data for Name: ProductImage; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ProductImage" DISABLE TRIGGER ALL;

INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (2, 2);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (2, 3);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (3, 4);
INSERT INTO "ProductImage" ("idProduct", "idImage") VALUES (1, 1);


ALTER TABLE "ProductImage" ENABLE TRIGGER ALL;

--
-- TOC entry 1844 (class 0 OID 44701)
-- Dependencies: 1314
-- Data for Name: ProductMeasureUnit; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "ProductMeasureUnit" DISABLE TRIGGER ALL;

INSERT INTO "ProductMeasureUnit" ("idProduct", "idMeasureUnit") VALUES (1, 3);
INSERT INTO "ProductMeasureUnit" ("idProduct", "idMeasureUnit") VALUES (1, 9);


ALTER TABLE "ProductMeasureUnit" ENABLE TRIGGER ALL;

--
-- TOC entry 1863 (class 0 OID 45038)
-- Dependencies: 1351
-- Data for Name: Province; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Province" DISABLE TRIGGER ALL;



ALTER TABLE "Province" ENABLE TRIGGER ALL;

--
-- TOC entry 1861 (class 0 OID 44974)
-- Dependencies: 1331
-- Data for Name: RappelInterval; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "RappelInterval" DISABLE TRIGGER ALL;



ALTER TABLE "RappelInterval" ENABLE TRIGGER ALL;

--
-- TOC entry 1860 (class 0 OID 44966)
-- Dependencies: 1330
-- Data for Name: RappelType; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "RappelType" DISABLE TRIGGER ALL;



ALTER TABLE "RappelType" ENABLE TRIGGER ALL;

--
-- TOC entry 1843 (class 0 OID 44504)
-- Dependencies: 1313
-- Data for Name: Rate; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "Rate" DISABLE TRIGGER ALL;



ALTER TABLE "Rate" ENABLE TRIGGER ALL;

--
-- TOC entry 1836 (class 0 OID 41583)
-- Dependencies: 1298
-- Data for Name: VatType; Type: TABLE DATA; Schema: public; Owner: explica
--

ALTER TABLE "VatType" DISABLE TRIGGER ALL;

INSERT INTO "VatType" ("idVat", description, "taxPercentage", "recEquiPercentage", version) VALUES (4, 'IVA7', 7.00, 1.00, 0);
INSERT INTO "VatType" ("idVat", description, "taxPercentage", "recEquiPercentage", version) VALUES (1, 'IVA16', 16.00, 4.00, 0);
INSERT INTO "VatType" ("idVat", description, "taxPercentage", "recEquiPercentage", version) VALUES (2, 'IVA4', 4.00, 0.50, 0);


ALTER TABLE "VatType" ENABLE TRIGGER ALL;

-- Completed on 2009-03-03 11:46:00 CET

--
-- PostgreSQL database dump complete
--

