package com.imagos.axilice.client.gui;

import java.util.EventObject;

public class AxiliceEvent extends EventObject {

	
	public static final int AXILICE_EVENT_ENTITY_MODIFIED=0;
	public static final int AXILICE_EVENT_ENTITY_ADDED=1;
	public static final int AXILICE_EVENT_ENTITY_DELETED=2;
	public static final int AXILICE_EVENT_SUBENTITY_ADDED=3;
	public static final int AXILICE_EVENT_ENTITY_PRINT_CLIKED = 4;
	public static final int AXILICE_EVENT_BUTTON_NEW_CLICKED = 5;
	public static final int AXILICE_EVENT_EDIT_UNDO = 6;
	public static final int AXILICE_EVENT_EDIT_CANCEL = 7;
	public static final int AXILICE_EVENT_ENTITY_SAVED = 8;

private static final long serialVersionUID = 1L;


	private int eventType;
	
	public AxiliceEvent(Object source, int eventType) {
		super(source);
		setEventType(eventType);
	
	}

	public int getEventType() {
		return eventType;
	}

	public void setEventType(int eventType) {
		this.eventType = eventType;
	}
	

}
