package com.imagos.axilice.client.management;

import com.imagos.axilice.client.ClientContext;
import com.imagos.axilice.client.gui.AxiliceValueInput;
import com.imagos.javaglade.Gui;
import com.imagos.javaglade.handlers.GenericHandler;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;

public class LotOutListener extends GenericHandler implements Listener {
	private Tree w_tree;
	private Gui parentGui;
	private AxiliceValueInput valInput;
	
	public LotOutListener(Gui parentGui, Tree w_tree) {
		super();
		
		this.parentGui = parentGui;
		this.w_tree = w_tree;
		valInput = new AxiliceValueInput(ClientContext.getInstance().getLogger(), this.parentGui, "on_value_selected", this);
		valInput.build();
	}

	public void handleEvent(Event e) {
		if (e.keyCode == SWT.F2
				&& w_tree.getSelectionCount() == 1) {
			TreeItem item = w_tree.getSelection()[0];
			
			valInput.show(item.getText(2));
		}
	}
	
	public void on_value_selected(Event e) {
		if (valInput.getValue() != null) {
			TreeItem item = w_tree.getSelection()[0];
			
			item.setText(2, valInput.getValue());
		}
	}
}