package com.imagos.axilice.core.installer;

import java.io.Serializable;
import java.util.ArrayList;

public class AreaOT implements Serializable {
	private String idArea;
	private String description;
	private ArrayList lModules;
	
	private Integer version = new Integer(0);
	private static final long serialVersionUID = 10000004;

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}

	public String getIdArea() {
		return idArea;
	}
	public void setIdArea(String idArea) {
		this.idArea = idArea;
	}

	public ArrayList getLModules() {
		return lModules;
	}
	public void setLModules(ArrayList modules) {
		lModules = modules;
	}

	public Integer getVersion() {
		return version;
	}
	public void setVersion(Integer version) {
		this.version = version;
	}
	
	public boolean equals(Object other) {
        if (this == other) 
        	return true;
        if ( !(other instanceof AreaOT) ) 
        	return false;

        final AreaOT area = (AreaOT) other;

        if ( area.getIdArea() == null )
        	return this.getIdArea() == null;
        else if ( !area.getIdArea().equals( this.getIdArea() ) ) 
        	return false;

        return true;
    }

    public int hashCode() {
    	int hash = 1;
        hash = hash * 31 
                    + (this.getIdArea() == null ? 0 : this.getIdArea().hashCode());
        return hash;
    }
    
    
}
