
package com.imagos.axilice.core.management;


/**
 * @author Copyright (c) 2007 Imagos 2005 S.L.
 * 
 * <br>
 * <br>
 *         This program is free software: you can redistribute it and/or modify
 *         it under the terms of the GNU General Public License as published by
 *         the Free Software Foundation, either version 3 of the License, or (at
 *         your option) any later version. <br/>
 *         This program is distributed in the hope that it will be useful, but
 *         WITHOUT ANY WARRANTY 
 *         <br>without even the implied warranty of
 *         MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *         General Public License for more details. <br/>
 *         You should have received a copy of the GNU General Public License
 *         along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */
public class InterfaceManagement {

	public static final String AXILICE_ENTITY_SERIALNUMBER_ID = "Serial Number";
	public static final String AXILICE_ENTITY_DOCUMENTTYPE_ID = "Document Type";
	public static final String AXILICE_ENTITY_DOCUMENT_ID = "Document";
	public static final String AXILICE_ENTITY_DOCUMENT_LINE_ID = "Document Line";
	public static final String AXILICE_ENTITY_MOVEMENT_ID = "Movement";
	
	
	
	
	public static final String AXILICE_EDIT_DOCUMENT_TYPE_GLADE_PATH = "/com/imagos/axilice/client/management/axilicedocumenttype.glade";
	public static final String AXILICE_EDIT_DOCUMENT_TYPE_DIALOG_NAME = "dialogDocumentType";
	public static final String EDIT_DOCUMENT_TYPE_ID_WIDGETNAME = "entryDocumentTypeCode";
	public static final String EDIT_DOCUMENT_TYPE_DESCRIPTION_WIDGETNAME = "entryDocumentTypeDescription";
	public static final String EDIT_DOCUMENT_TYPE_VERSION_WIDGETNAME = "entryDocumentTypeVersion";
	public static final String EDIT_DOCUMENT_TYPE_ACCOUNTING_WIDGETNAME = "checkDocumentTypeAccounting";
	public static final String EDIT_DOCUMENT_TYPE_PURCHASE_WIDGETNAME = "buttonDocumentTypePurchase";
	public static final String EDIT_DOCUMENT_TYPE_SALES_WIDGETNAME = "buttonDocumentTypeSales";
	public static final String EDIT_DOCUMENT_TYPE_STOCK_WIDGETNAME = "checkDocumentTypeModifyStock";
	public static final String EDIT_DOCUMENT_TYPE_CLASS_WIDGETNAME = "comboDocumentTypeDocumentClass";
	public static final String EDIT_DOCUMENT_TYPE_RETURN_WIDGETNAME = "checkDocumentTypeReturnDocument";
	public static final String EDIT_DOCUMENT_TYPE_STOCK_INCREMENT_WIDGETNAME = "checkDocumentTypeIncrementStock";
	public static final String EDIT_DOCUMENT_TYPE_REPORTNAME_WIDGETNAME = "entryDocumentTypeReportName";
	public static final String EDIT_DOCUMENT_TYPE_PRINTER_WIDGETNAME = "comboDocumentTypePrinter";
	public static final String EDIT_DOCUMENT_TYPE_PREVIEW_WIDGETNAME = "checkDocumentTypePreview";
	
	
	public static final String AXILICE_EDIT_SERIAL_NUMBER_GLADE_PATH = "/com/imagos/axilice/client/management/axiliceserialnumber.glade";
	public static final String AXILICE_EDIT_SERIAL_NUMBER_DIALOG_NAME = "dialogSerialNumber";
	public static final String EDIT_SERIAL_NUMBER_ID_WIDGETNAME = "entrySerialNumberCode";
	public static final String EDIT_SERIAL_NUMBER_DESCRIPTION_WIDGETNAME = "entrySerialNumberDescription";
	public static final String EDIT_SERIAL_NUMBER_VERSION_WIDGETNAME = "entrySerialNumberVersion";
	public static final String EDIT_SERIAL_NUMBER_SELECT_DOCUMENT_TYPE_BUTTON_NAME = "buttonSerialNumberDocumentType";
	public static final String EDIT_SERIAL_NUMBER_VALUE_WIDGETNAME = "entrySerialNumberValue";
	public static final String EDIT_SERIAL_NUMBER_PREFIX_WIDGETNAME = "entrySerialNumberPrefix";
	public static final String EDIT_SERIAL_NUMBER_DOCUMENT_TYPE_WIDGETNAME = "entrySerialNumberDocumentType";
	
	
	
	public static final String AXILICE_EDIT_DOCUMENT_LINE_GLADE_PATH = "/com/imagos/axilice/client/management/axilicedocumentline.glade";
	public static final String AXILICE_EDIT_DOCUMENT_LINE_DIALOG_NAME = "dialogDocumentLine";
	public static final String EDIT_DOCUMENT_LINE_CODE_WIDGETNAME = "entryDocumentLineId";
	public static final String EDIT_DOCUMENT_LINE_DOCUMENT_ID_WIDGETNAME = "entryDocumentLineDocument";
	public static final String EDIT_DOCUMENT_LINE_SELECT_PRODCUT_BUTTON_NAME = "buttonDocumentLineProduct";
	public static final String EDIT_DOCUMENT_LINE_SELECT_DOCUMENT_BUTTON_NAME = "buttonDocumentLineDocument";
	public static final String EDIT_DOCUMENT_LINE_PRODUCT_DESCRIPTION_WIDGETNAME = "entryDocumentLineProduct";
	public static final String EDIT_DOCUMENT_LINE_ORDER_WIDGETNAME = "entryDocumentLineOrder";
	public static final String EDIT_DOCUMENT_LINE_PRODUCT_ID_WIDGETNAME = "entryDocumentLineProduct";
	public static final String EDIT_DOCUMENT_LINE_PRODUCT_REFERENCE_WIDGETNAME = "entryDocumentLineProductReference";
	public static final String EDIT_DOCUMENT_LINE_QUANTITY_ORDER_WIDGETNAME = "entryDocumentLineQuantityOrder";
	public static final String EDIT_DOCUMENT_LINE_QUANTITY_WIDGETNAME = "entryDocumentLineQuantity";
	public static final String EDIT_DOCUMENT_LINE_COST_PRICE_WIDGETNAME = "entryDocumentLineCostPrice";
	public static final String EDIT_DOCUMENT_LINE_PRICE_WIDGETNAME = "entryDocumentLinePrice";
	public static final String EDIT_DOCUMENT_LINE_RE_WIDGETNAME = "entryDocumentLineRE";
	public static final String EDIT_DOCUMENT_LINE_VAT_WIDGETNAME = "entryDocumentLineVAT";
	public static final String EDIT_DOCUMENT_LINE_TOTAL_WIDGETNAME = "entryDocumentLineTotal";
	public static final String EDIT_DOCUMENT_LINE_VERSION_WIDGETNAME = "entryDocumentLineVersion";
	public static final String EDIT_DOCUMENT_LINE_DISCOUNT_WIDGETNAME = "entryDocumentLineDiscount";
	
	
	
	public static final String AXILICE_EDIT_DOCUMENT_GLADE_PATH = "/com/imagos/axilice/client/management/axilicedocument.glade";
	public static final String AXILICE_EDIT_DOCUMENT_DIALOG_NAME = "dialogDocument";
	public static final String EDIT_DOCUMENT_CODE_WIDGETNAME = "entryDocumentCode";
	public static final String EDIT_DOCUMENT_BILLINGADDRESS_WIDGETNAME = "entryDocumentBillingAddress";
	public static final String EDIT_DOCUMENT_SHIPPINGADDRESS_WIDGETNAME = "entryDocumentShippingAddress";
	public static final String EDIT_DOCUMENT_BRANDNAME_WIDGETNAME = "entryDocumentBrandName";
	public static final String EDIT_DOCUMENT_BILLINGCITY_WIDGETNAME = "entryDocumentBillingAddressCity";
	public static final String EDIT_DOCUMENT_CURRENCY_WIDGETNAME = "entryDocumentCurrency";
	public static final String EDIT_DOCUMENT_DATE_WIDGETNAME = "entryDocumentDate";
	public static final String EDIT_DOCUMENT_TYPE_WIDGETNAME = "entryDocumentType";
	public static final String EDIT_DOCUMENT_FIXEDDISCOUNT_WIDGETNAME = "entryDocumentFixedDiscount";
	public static final String EDIT_DOCUMENT_GROSSAMOUNT_WIDGETNAME = "entryDocumentGrossAmount";
	public static final String EDIT_DOCUMENT_IDNUMBER_WIDGETNAME = "entryDocumentIdNumber";
	//public static final String EDIT_DOCUMENT_NAME_WIDGETNAME = "entryDocumentPartner";
	public static final String EDIT_DOCUMENT_NETAMOUNT_WIDGETNAME = "entryDocumentNetAmount";
	public static final String EDIT_DOCUMENT_NETAMOUNTBT_WIDGETNAME = "entryDocumentNetAmountBT";
	public static final String EDIT_DOCUMENT_PARTNER_WIDGETNAME = "entryDocumentPartner";
	public static final String EDIT_DOCUMENT_PÀYMENTMETHOD_WIDGETNAME ="entryDocumentPaymentMethod";
	public static final String EDIT_DOCUMENT_BILLINGPOSTALCODE_WIDGETNAME = "entryDocumentBillingAddressPostalCode";
	public static final String EDIT_DOCUMENT_SHIPPINGPOSTALCODE_WIDGETNAME = "entryDocumentShippingAddressPostalCode";
	public static final String EDIT_DOCUMENT_PRICELIST_WIDGETNAME = "entryDocumentPriceList";
	public static final String EDIT_DOCUMENT_PROMPTPAYMENTDISCOUNT_WIDGETNAME = "entryDocumentPromptPaymentDiscount";
	public static final String EDIT_DOCUMENT_SERIALNUMBERVALUE_WIDGETNAME = "entryDocumentNumber";
	public static final String EDIT_DOCUMENT_TAXESAMOUNT_WIDGETNAME = "entryDocumentTaxesAmount";
	public static final String EDIT_DOCUMENT_SERIALNUMBERPREFIX_WIDGETNAME = "entryDocumentSerial";
	public static final String EDIT_DOCUMENT_TOTAL_WIDGETNAME = "entryDocumentTotal";
	public static final String EDIT_DOCUMENT_VERSION_WIDGETNAME = "entryDocumentVersion";
	public static final String EDIT_DOCUMENT_VENDOR_WIDGETNAME = "entryDocumentVendor";
	public static final String EDIT_DOCUMENT_BILLINGCOUNTRY_WIDGETNAME = "comboDocumentBillingAddressCountry";
	public static final String EDIT_DOCUMENT_SHIPPINGCOUNTRY_WIDGETNAME = "comboDocumentShippingAddressCountry";
	public static final String EDIT_DOCUMENT_VATREGIME_WIDGETNAME = "comboDocumentVatRegime";
	public static final String EDIT_DOCUMENT_SELECT_CURRENCY_WIDGETNAME = "buttonDocumentSelectCurrency";
	public static final String EDIT_DOCUMENT_SELECT_DATE_WIDGETNAME = "buttonDocumentSelectDate";
	public static final String EDIT_DOCUMENT_SELECT_SERIALNUMBER_WIDGETNAME = "buttonDocumentSelectSerialNumber";
	public static final String EDIT_DOCUMENT_SELECT_PARTNER_WIDGETNAME = "buttonDocumentSelectPartner";
	public static final String EDIT_DOCUMENT_SELECT_PAYMENTSELECT_WIDGETNAME = "buttonDocumentSelectPaymentMethod";
	public static final String EDIT_DOCUMENT_SELECT_PRICELIST_WIDGETNAME = "buttonDocumentSelectPriceList";
	public static final String EDIT_DOCUMENT_SELECT_VENDOR_WIDGETNAME = "buttonDocumentSelectVendor";
	public static final String EDIT_DOCUMENT_SHIPPINGSTATE_WIDGETNAME = "comboDocumentShippingAddressState";
	public static final String EDIT_DOCUMENT_BILLINGSTATE_WIDGETNAME = "comboDocumentBillingAddressState";
	public static final String EDIT_DOCUMENT_LINES_PANEL_WIDGETNAME = "vboxDocumentLines";
	public static final String EDIT_DOCUMENT_SHIPPINGCITY_WIDGETNAME = "entryDocumentShippingAddressCity";
	public static final String EDIT_DOCUMENT_COMPUTE_ID_WIDGETNAME = "buttonDocumentComputeIdNumber";
	public static final String EDIT_DOCUMENT_DISCOUNT_AMOUNT_WIDGETNAME = "entryDocumentDiscountAmount";
	public static final String EDIT_DOCUMENT_PROMP_PAYMENT_AMOUNT_WIDGETNAME = "entryDocumentPromptPaymentAmount";
	public static final String EDIT_DOCUMENT_TREE_TAXES_WIDGETNAME = "treeDocumentTaxes";
	
	
	public static final String JNDI_MANAGEMENT_MANAGER_EXPORT_NAME = "rmi://localhost/com/imagos/axilice/ManagementManager";
	public static final int RMI_MANAGEMENT_MANAGER_EXPORT_PORT = 40009;

    public static final String MANAGEMENT_LOG_CONFIG_FILE = "/com/imagos/axilice/core/management/log4j.xml";
	public static final int AXILICE_DOCUMENT_LINES_INTERVAL = 10;
	
	
	public static final String AXILICE_ENTITY_EXTENSION_CATALOG_NAME = "treeManagementEntityExtensionCatalog";
	public static final String AXILICE_MANAGEMENT_GENERIC_DOCUMENT = "/com/imagos/axilice/client/reports/axilicegenericdocument.jasper";
	
	public static final int PARAMATER_VAT_STANDARD = 0;
	public static final int PARAMATER_VAT_EXEMPT = 2;
	public static final int PARAMATER_VAT_REDUCED= 1;
	public static final int PARAMATER_VAT_EQUIVALENCE = 3;

	public static final int PARAMETER_RESULTADO_CALCULO_DOCUMENTO_CORRECTO = 0;
	public static final int PARAMETER_RESULTADO_CALCULO_DOCUMENTO_DEMASIADOS_IVAS = 1;
	public static final int PARAMETER_RESULTADO_CALCULO_DOCUMENTO_NULO = 2;
	public static final int PARAMETER_RESULTADO_CALCULO_ERROR = 3;
	
	public static final String AXILICE_DOCUMENT_LINE_ENTITY_EXTENSION_CATALOG_NAME = "treeDocumentLineExtensionFields";
	
	
	public static final String AXILICE_EDIT_MOVEMENT_GLADE_PATH = "/com/imagos/axilice/client/management/axilicemovement.glade";
	public static final String AXILICE_EDIT_MOVEMENT_DIALOG_NAME = "dialogMovement";
	public static final String EDIT_MOVEMENT_ID_WIDGETNAME = "entryMovementId";
	public static final String EDIT_MOVEMENT_COST_WIDGETNAME = "entryMovementCost";
	public static final String EDIT_MOVEMENT_COSTPRICE_WIDGETNAME = "entryMovementCostPrice";
	public static final String EDIT_MOVEMENT_DATE_WIDGETNAME = "entryMovementDate";
	public static final String EDIT_MOVEMENT_DOCUMENTLINE_WIDGETNAME = "entryMovementDocumentLine";
	public static final String EDIT_MOVEMENT_LOT_WIDGETNAME = "entryMovementLot";
	public static final String EDIT_MOVEMENT_PARTNER_WIDGETNAME = "entryMovementPartner";
	public static final String EDIT_MOVEMENT_PRODUCT_WIDGETNAME = "entryMovementProduct";
	public static final String EDIT_MOVEMENT_QUANTITY_WIDGETNAME = "entryMovementQuantity";
	public static final String EDIT_MOVEMENT_SALESPRICE_WIDGETNAME = "entryMovementSalesPrice";
	public static final String EDIT_MOVEMENT_TOTAL_WIDGETNAME = "entryMovementTotal";
	public static final String EDIT_MOVEMENT_VERSION_WIDGETNAME = "entryMovementVersion";
	public static final String EDIT_MOVEMENT_WAREHOUSE_WIDGETNAME = "entryMovementWarehouse";
	public static final String EDIT_MOVEMENT_SELECT_DATE_WIDGETNAME = "buttonMovementDate";
	public static final String EDIT_MOVEMENT_SELECT_DOCUMENT_LINE_WIDGETNAME = "buttonMovementDocumentLine";
	public static final String EDIT_MOVEMENT_SELECT_LOT_WIDGETNAME = "buttonMovementLot";
	public static final String EDIT_MOVEMENT_SELECT_PARTNER_WIDGETNAME = "buttonMovementPartner";
	public static final String EDIT_MOVEMENT_SELECT_PRODUCT_WIDGETNAME = "buttonMovementProduct";
	public static final String EDIT_MOVEMENT_SELECT_WAREHOUSE_WIDGETNAME = "buttonMovementWarehouse";
	public static final String EDIT_MOVEMENT_BUTTON_IN_WIDGETNAME = "radiobuttonIn";
	public static final String EDIT_MOVEMENT_BUTTON_OUT_WIDGETNAME = "radiobuttonOut";
	public static final String EDIT_DOCUMENT_LINE_MOVEMENT_PANEL_WIDGETNAME = "vboxDocumentLineMovements";
	public static final String EDIT_DOCUMENT_LINE_WAREHOUSE_WIDGETNAME = "entryDocumentLineWarehouse";
	public static final String EDIT_DOCUMENT_LINE_SELECT_WAREHOUSE_BUTTON_NAME = "buttonDocumentLineWarehouse";
	public static final String AXILICE_DOCUMENT_LINE_BUTTON_LOTS_WIDGETNAME = "buttonDocumentLineLots";


	public static final String AXILICE_LOT_OUT_SELECTOR_GLADE_PATH = "/com/imagos/axilice/client/management/axilicelotoutselection.glade";


	




	
}
