/*
 * InterfaceExtTable.java
 *
 * $Id: InterfaceManagementErrors.java,v 1.7 2009-10-15 08:40:05 juancarlos Exp $
 */
package com.imagos.axilice.core.management;

import com.imagos.axilice.core.InterfaceErrors;

/**
 * Public interface with the constant definitions of error codes returned by the
 * management module.
 */

public interface InterfaceManagementErrors extends InterfaceErrors {

	int MSG_MANAGEMENT_DOCUMENT_TYPE_ERROR = 1080001;
	int MSG_MANAGEMENT_RELOAD_PARTNER_IN_DOCUMENT = 1080002;
	int MSG_MANAGEMENT_RELOAD_PARTNER_IN_DOCUMENT_TITLE = 1080003;
	int MSG_MANAGEMENT_RELOAD_PRODUCT_IN_DOCUMENT = 1080004;
	int MSG_MANAGEMENT_RELOAD_PRODUCT_IN_DOCUMENT_TITLE = 1080005;
	
	
	int PARAMETER_MANAGEMENT_COMPANY_NAME = 1080006;
	int PARAMETER_MANAGEMENT_COMPANY_ADDRESS = 1080007;
	int PARAMETER_MANAGEMENT_COMPANY_CITY = 1080008;
	int PARAMETER_MANAGEMENT_COMPANY_COUNTRY=1080009;
	int PARAMETER_MANAGEMENT_COMPANY_CIF=1080010;
	int PARAMETER_MANAGEMENT_COMPANY_TELEPHONE=1080011;
	int PARAMETER_MANAGEMENT_COMPANY_EMAIL=1080012;
	int PARAMETER_MANAGEMENT_COMPANY_WEB=1080013;
	int PARAMETER_MANAGEMENT_COMPANY_FAX=1080014;
	int PARAMETER_MANAGEMENT_COMPANY_DISCLAIMER=1080015;
	int PARAMETER_MANAGEMENT_COMPANY_ZIP_CODE=1080016;
	int PARAMETER_MANAGEMENT_COMPANY_STATE=1080017;
	int ERR_FINDING_STOCK_AVAILABLE = 1080018;
	int MSG_LOT_STOCK_VALIDATE_ERROR = 1080019;
	int MSG_LOT_STOCK_VALIDATE_OK = 1080020;
	
	
	
}
