--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

--
-- Name: extfield_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('extfield_id_seq', 5, true);


--
-- Name: exttable_id_seq; Type: SEQUENCE SET; Schema: public; Owner: admin
--

SELECT pg_catalog.setval('exttable_id_seq', 3, false);


--
-- Delete the data in the tables
--
DELETE FROM "ExtFieldStringValue";
DELETE FROM "ExtFieldNumberValue";
DELETE FROM "ExtFieldDateValue";
DELETE FROM "ExtFieldBooleanValue";
DELETE FROM "ExtFieldDefinition";
DELETE FROM "ExtTableDefinition";

--
-- Data for Name: ExtTableDefinition; Type: TABLE DATA; Schema: public; Owner: admin
--


INSERT INTO "ExtTableDefinition" VALUES (1, 'idProducto', 'EXT_PROD', 'Extension de la tabla de productos', 0);
INSERT INTO "ExtTableDefinition" VALUES (2, 'idCliente', 'EXT_CLI', 'Extension de la tabla de clientes', 0);


--
-- Data for Name: ExtFieldDefinition; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldDefinition" VALUES (1, 1, 1, 10.00, 'Codigo de barras del producto', false, false, 'CAM_PRO_BAR_COD', 0);
INSERT INTO "ExtFieldDefinition" VALUES (2, 1, 1, 10.00, 'Localizacion del producto en el almacen', false, false, 'CAM_PRO_COO_ALM', 0);
INSERT INTO "ExtFieldDefinition" VALUES (3, 2, 1, 50.00, 'Sector al que pertenece el cliente', false, false, 'CAM_CLI_SEC', 0);
INSERT INTO "ExtFieldDefinition" VALUES (4, 2, 3, 5.00, 'Edad del cliente', false, false, 'CAM_CLI_EDA', 0);


--
-- Data for Name: ExtFieldLongValue; Type: TABLE DATA; Schema: public; Owner: admin
--



--
-- Data for Name: ExtFieldNumberValue; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldNumberValue" VALUES (4, 2, 55, 0);
INSERT INTO "ExtFieldNumberValue" VALUES (4, 1, 41, 0);


--
-- Data for Name: ExtFieldStringValue; Type: TABLE DATA; Schema: public; Owner: admin
--

INSERT INTO "ExtFieldStringValue" VALUES (1, 2, '21', 0);
INSERT INTO "ExtFieldStringValue" VALUES (2, 2, '22', 0);
INSERT INTO "ExtFieldStringValue" VALUES (1, 1, '11', 0);
INSERT INTO "ExtFieldStringValue" VALUES (2, 1, '12', 0);
INSERT INTO "ExtFieldStringValue" VALUES (3, 1, '31', 0);


--
-- Data for Name: ExtFieldBooleanValue; Type: TABLE DATA; Schema: public; Owner: admin
--



--
-- Data for Name: ExtFieldDateValue; Type: TABLE DATA; Schema: public; Owner: admin
--

--
-- PostgreSQL database dump complete
--

