--
-- PostgreSQL database dump
--

-- Started on 2009-11-11 12:49:55

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- TOC entry 1991 (class 0 OID 18041)
-- Dependencies: 1637
-- Data for Name: AppResource; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (39, 'productIcon', 'Icono de Producto (Trazabilidad)', 'resources/img/product.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (1, 'openIcon', 'Icono de abrir', 'resources/img/icon.gif', 2, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (3, 'exitIcon', 'Icono de salir', 'resources/img/exit.svg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (2, 'closeIcon', 'Icono de cerrar', 'resources/img/close.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (5, 'addIcon', 'Icono de añadir', 'resources/img/add.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (6, 'delIcon', 'Icono de borrar', 'resources/img/del.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (7, 'editIcon', 'Icono de editar', 'resources/img/edit.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (8, 'printIcon', 'Icono de imprimir', 'resources/img/print.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (9, 'gotoIcon', 'Icono de Ir A', 'resources/img/goto.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (10, 'searchIcon', 'Icono de Buscar', 'resources/img/search.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (11, 'saveIcon', 'Icono de Guardar', 'resources/img/save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (12, 'cancelIcon', 'Icono de Cancelar', 'resources/img/cancel.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (13, 'undoIcon', 'Icono de Deshacer', 'resources/img/undo.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (14, 'goBackIcon', 'Icono de Ir Atras', 'resources/img/go-back.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (15, 'goForwardIcon', 'Icono de Ir Adelante', 'resources/img/go-forward.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (16, 'goFirstIcon', 'Icono de Ir A Primero', 'resources/img/go-first.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (17, 'goLastIcon', 'Icono de Ir A Ultimo', 'resources/img/go-last.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (20, 'commentIcon', 'Icono de Comentarios', 'resources/img/comment.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (21, 'dateIcon', 'Icono de Calendario de Fechas', 'resources/img/date.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (22, 'newDocumentIcon', 'Icono de Nuevo Documento', 'resources/img/document-new.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (23, 'openDocumentIcon', 'Icono de Abrir Documento', 'resources/img/document-open.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (24, 'saveDocumentIcon', 'Icono de Guardar Documento', 'resources/img/document-save.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (25, 'saveAsDocumentIcon', 'Icono de Guardar Como Documento', 'resources/img/document-save-as.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (26, 'helpIcon', 'Icono de Ayuda', 'resources/img/help.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (27, 'aboutIcon', 'Icono de Acerca de', 'resources/img/help-about.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (28, 'inIcon', 'Icono de Producto de Entrada a Proceso', 'resources/img/in.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (19, 'barcodeIcon', 'Icono de Código de Barras', 'resources/img/barcode.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (30, 'purchaseIcon', 'Icono de Compra (Trazabilidad)', 'resources/img/purchase.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (29, 'propertyIcon', 'Icono de Propiedad (Trazabilidad)', 'resources/img/property.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (31, 'referenceIcon', 'Icono de Referencia de Producto (Trazabilidad)', 'resources/img/reference.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (32, 'lotIcon', 'Icono de Lote de Producto (Trazabilidad)', 'resources/img/lot.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (33, 'warehouseIcon', 'Icono de Almacén (Trazabilidad)', 'resources/img/warehouse.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (34, 'workerIcon', 'Icono de Empleado (Trazabilidad)', 'resources/img/worker.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (36, 'processIcon', 'Icono de Proceso (Trazabilidad)', 'resources/img/process.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (37, 'trFileIcon', 'Icono de Fichero de Trazabilidad', 'resources/img/traceabilityFile.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (38, 'acceptIcon', 'Icono de Aceptar', 'resources/img/accept.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (35, 'workcenterIcon', 'Icono de Centro de Trabajo (Trazabilidad)', 'resources/img/workcenter.jpg', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (40, 'appLogo', 'Logo de la aplicacion', 'resources/img/logo.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (41, 'viewIcon', 'Logo de Ver en la ventana de seleccion multiple de entidades', 'resources/img/view.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (44, 'dollarIcon', 'Icono de Dolar', 'resources/img/dollar.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (43, 'euroIcon', 'Icono de Euro', 'resources/img/euro.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (46, 'moduleIcon', 'Icono de Módulo', 'resources/img/moduleIcon.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (47, 'entityIcon', 'Icono de Entidad', 'resources/img/entityIcon.gif', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (48, 'iconAddress', 'Icono de Direccion', 'resources/img/iconAddress.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (49, 'iconBankAccount', 'Icono de cuenta bancaria', 'resources/img/iconBankAccount.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (50, 'iconBarcode', 'Icono de Codigo de barras', 'resources/img/iconBarcode.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (51, 'iconContact', 'Icono de Contacto', 'resources/img/iconContact.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (52, 'iconCurrency', 'Icono de Divisa', 'resources/img/iconCurrency.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (53, 'iconDepartment', 'Icono de Departamento', 'resources/img/iconDepartment.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (54, 'iconDiscount', 'Icono de Descuento', 'resources/img/iconDiscount.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (55, 'iconDocument', 'Icono de Documento', 'resources/img/iconDocument.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (57, 'iconDocumentType', 'Icono de Tipo de Documento', 'resources/img/iconDocumentType.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (58, 'IconLot', 'Icono de Lote', 'resources/img/iconLot.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (59, 'IconManagement', 'Icono de Facturacion', 'resources/img/iconManagement.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (60, 'IconMesureUnit', 'Icono de unidad de Medida', 'resources/img/iconMesureUnit.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (61, 'IconMovement', 'Icono de Movimiento', 'resources/img/iconMovement.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (62, 'IconPartner', 'Icono de Partner', 'resources/img/iconPartner.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (63, 'IconPartners', 'Icono de Partners', 'resources/img/iconPartners.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (64, 'IconPartnersGroup', 'Icono de grupo de Partners', 'resources/img/iconPartnersGroup.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (65, 'IconPaymentMethod', 'Icono de metodo de pago', 'resources/img/iconPaymentMethod.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (66, 'IconPriceList', 'Icono de lista de precios', 'resources/img/iconPriceList.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (67, 'IconProduct', 'Icono de Producto', 'resources/img/iconProduct.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (68, 'IconProductGroup', 'Icono de grupo de producto', 'resources/img/iconProductGroup.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (69, 'IconRappelInterval', 'Icon de intervalo de rappel', 'resouces/img/iconRappelInterval.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (70, 'IconRappelType', 'Icono de Rappel', 'resources/img/iconRappelType.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (71, 'IconSerialNumber', 'Icono de Numero de Serie', 'resources/img/iconSerialNumber.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (72, 'IconStock', 'Icono de Stock', 'resources/img/iconStock.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (73, 'IconVatType', 'Icono de Tipo de IVA', 'resources/img/iconVatType.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (74, 'IconVendor', 'Icono de vendedor', 'resources/img/iconVendor.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (75, 'IconWarehouse', 'Icono de Almacen', 'resources/img/iconWarehouse.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (76, 'IconWarehouseModule', 'Icono de modulo de Almacen', 'resources/img/iconWarehouseModule.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (56, 'iconDocumentLine', 'Icono de Linea de Documento', 'resources/img/iconDocumentLine.png', 0, NULL);
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (4, 'warehouseModule', 'Warehouse Module', 'modules/axiliceWarehouse_client.jar', 1, 'A_FAC');
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (42, 'partnersModule', 'Partners Module', 'modules/axilicePartners_client.jar', 0, 'A_FAC');
INSERT INTO "AppResource" ("idResource", "codResource", description, path, version, "idArea") VALUES (45, 'managementModule', 'Management Module', 'modules/axiliceManagement_client.jar', 0, 'A_FAC');


-- Completed on 2009-11-11 12:49:55

--
-- PostgreSQL database dump complete
--

