package com.imagos.axilice.core.installer;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

public interface Installer extends Remote {
	public List getResourcesList() throws RemoteException, ResourceException;
	public boolean isUpdated(String codResource, Integer currentVersion) throws RemoteException, ResourceException;
	public Integer getLatestVersion(String codResource) throws RemoteException, ResourceException;
	public byte[] getResource(String codResource) throws RemoteException, ResourceException;
	public List getAreasList() throws RemoteException, ResourceException;
}