package com.imagos.axilice.core.management;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.ArrayList;

import com.imagos.axilice.core.AxiliceException;
import com.imagos.axilice.core.common.BaseVO;
import com.imagos.axilice.core.util.OperationResult;
import com.imagos.axilice.core.warehouse.ProductOT;
import com.imagos.axilice.core.warehouse.StockOT;
import com.imagos.axilice.core.warehouse.WarehouseOT;

public interface ManagementManager extends Remote {

	public long nextSerialNumber(SerialNumberOT serial) throws RemoteException, AxiliceException;
	public ArrayList<StockOT> getProductStock(ProductOT product, WarehouseOT warehouse) throws AxiliceException, RemoteException;
	public OperationResult deleteMovements(DocumentLineOT entityData) throws RemoteException, AxiliceException;
}