package com.imagos.axilice.core.partners;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.List;

import com.imagos.axilice.core.AxiliceException;
import com.imagos.axilice.core.common.BaseVO;
import com.imagos.axilice.core.util.OperationResult;


/**
 * @author Copyright (c) 2007 Imagos 2005 S.L.
 * 
 * <br>
 * <br>
 *         This program is free software: you can redistribute it and/or modify
 *         it under the terms of the GNU General Public License as published by
 *         the Free Software Foundation, either version 3 of the License, or (at
 *         your option) any later version. <br/>
 *         This program is distributed in the hope that it will be useful, but
 *         WITHOUT ANY WARRANTY 
 *         <br>without even the implied warranty of
 *         MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *         General Public License for more details. <br/>
 *         You should have received a copy of the GNU General Public License
 *         along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */
public interface PartnersManager extends Remote {

	public List<BaseVO> queryEntities(String fieldId, String value, Class myClass) throws AxiliceException, RemoteException;
	public BaseVO getEntity(Long id, Class myClass) throws RemoteException, AxiliceException;
	public OperationResult saveEntity(BaseVO entity) throws RemoteException, AxiliceException;
	public OperationResult delEntities(ArrayList<Long> lSel, Class myClass) throws RemoteException, AxiliceException;
	public List<BaseVO> queryEntities(String fieldId, BaseVO value, Class myClass) throws RemoteException, AxiliceException;
	public OperationResult refreshEntity(BaseVO selectedEntity) throws RemoteException, AxiliceException;
}